<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.0
 *
 * Copyright (C) 2006-2014  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], "inc.php");
if ($pos === FALSE)
    $ok_inc = TRUE;
else
    $ok_inc = FALSE;
if ($ok_inc == FALSE) header("Location: ../index.php");

include_once("../inc/fic_droits.inc.php");
include_once("../inc/fic_prm.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
$_SESSION["typ_filtres"] = "pen";

// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$ta = $_GET['ta']; // Source de l'appel m:depuis le menu, p:depuis un retour produit
$td = $_GET['td']; // Récupération type demande
$cp = $_GET['cp']; // Récupération code Produit
$ci = $_GET['ci']; // Récupération code Intervention

$pbm_pen = FALSE;

if (($ta <> "p") AND ($ta <> "m"))
    $pbm_pen = TRUE;
else
    $codeadev = give_dev_codea_defaut($_SESSION["lng"], TRUE);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Liste Pénalités"); ?></title>

    <?PHP include_once("../inc/header.inc.php"); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            init_autohref_classe('falselnkimg','');
            //tbpbarloc();
            add_func_click('Submit', 'sclose','');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>

<body>
<?php
if ($ta == "m")
    include_once("../inc/entete.inc.php");
?>
<p align="center"><span class="titrepage"><?PHP echo _("LISTE DES PENALITES"); ?></span></p>
<?PHP
if ($pbm_pen == FALSE) {


    if (($ta == "p") OR ($ta == "i")) {
        ?>
        <div align="center">
            <?PHP
            switch ($ta) {
                case "p" :
                    ?>
                    <span
                        class="titre_gras"><?PHP echo _("Choisissez une taxe pour le produit") . ' ' . $cp . ' ' . _("dans la liste suivante"); ?></span>
                    <br />
                    <span class="annot_petit_it"><?PHP echo _("Hors taxe(s) déjà saisie(s) dans ce produit"); ?></span>
                    <?PHP
                    break;
                default :
                    break;
            }
            ?>
        </div>
        <p align="center">
            <input type="button" class="bton_std" name="Submit"
                   value="<?PHP echo _("Revenir à la saisie en cours"); ?>">
        </p>
    <?PHP
    }

    if (($ta == "m")) {
        $url_add = "pen_maj.php?td=add&code=";
    }

    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);

    $rech = cree_strrechlstpen();
    switch ($ta) {
        case "p" :
            if (!stristr($rech, "WHERE "))
                $rech .= " WHERE `pen_actif`=1";
            else
                $rech .= " AND `pen_actif`=1";
            break;
        default :
            break;
    }

    $rech .= crestr_triord($pen_titre_col, "pen_code", FALSE, $limit);

    $rows = $db->get_results($rech, ARRAY_A);
    $db->disconnect();

    if ($rows) {
        include_once("../inc/formr.inc.php");
        $numrows = count($row);

        $rech = modstr_triord($rech, $pen_titre_col, "pen_code", TRUE, $limit);

        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);


        $rows = $db->get_results($rech, ARRAY_A);

        // *** Pagination de pied
        pagine_lst($numrows, $limit);

        // *** Affichage de la table
        echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";

        // création entête
        titlst($pen_titre_col);
        echo "<th>" . _("Cliquer") . "</th>\n";

        $i = 0;

        foreach ($rows as $row) {
            $row = encode_str($row);
            $affok = TRUE;
            switch ($ta) {
                case "p" :
                    $rech2 = "SELECT COUNT(*) FROM `" . TBPDTLPL . "` WHERE `pdtlpl_codepen` = '" . $row["pen_code"] . "' AND `pdtlpl_idpdtl` = '" . $row["pen_id"] . "'";
                    $nbres2 = $db->get_var($rech2);
                    if ($nbres2 > 0)
                        $affok = FALSE;
                    break;
                default :
                    break;
            }

            if ($affok == TRUE) {
                // création de l'entête de ligne (TR)
                creetrlst($i);

                echo "<td>" . $row["pen_code"] . "</td>\n";
                echo "<td>" . $row["pen_desc"];
                if ($row["pen_actif"] == 0)
                    echo ' <img src="../img/inactif.png" border="0" align="absmiddle" title="' . _("Inactive") . '">';
                echo "</td>\n";
                echo "<td align=\"center\">";
                echo $lng_tduree[$row["pen_udec"]];
                echo "</td>\n";
                echo "<td align=\"center\">";
                if ($row["pen_tbar"] == 0) {
                    echo $row["pen_valeur"];
                    if ($row["pen_pour"] == 1)
                        echo "%";
                    else
                        echo " " . trim(give_dev_ISO('', FALSE));
                } else {
                    echo _("Grille de valeurs");
                    if ($row["pen_pour"] == 1)
                        echo " (%)";
                    else
                        echo " (" . trim(give_dev_ISO('', FALSE)) . ")";
                }
                echo "</td>\n";
                echo "<td align=\"center\">";
                echo $non_oui[$row["pen_asaisir"]];
                echo "</td>\n";

                // CREATION lien dynamique sur icône (édition, suppression, etc...)
                echo "<td>";
                echo "<div align=\"center\">";
                switch ($ta) {
                    case "m" :
                        $lst_maj = TRUE;
                        cre_falselnk_img('', 'pen_edit_'.$row["pen_id"], 'span', 'center', _("Edition"), 'lnk', 'pen_maj.php?td=edit&code=' . $row["pen_code"], '../img/edit.png');
                        $lst_del = TRUE;
                        cre_falselnk_img('', 'pen_del_'.$row["pen_id"], 'span', 'center', _("Suppression"), 'lnk', 'pen_del.php?td=edit&code=' . $row["pen_code"], '../img/del.png');
                        break;
                    case "p" :
                        $lst_pen = TRUE;
                        cre_falselnk_img('', 'pen_add_'.$row["pen_id"], 'span', 'center', _("Ajout taxe"), 'lnk', 'tpfa_maj.php?td=add&cp=' . $cp . '&tpf=' . $row["pen_code"], '../img/taxe.png');
                        break;
                    default :
                        break;
                }
                echo "</div>";
                echo "</td>\n";

                echo "</tr>\n";

                $i++;
            }
        }
        echo "</table>\n";
        // *** Fin affichage de la table

        if ($open == TRUE)
            $db->disconnect();

        // *** Pagination de pied
        pagine_lst($numrows, $limit);

        $taille_piedla = "";
        include_once("../inc/piedla.inc.php");
    } else
        retpp();

} else
    pop_ret_auto(_("Problème de paramètres"), 'warn', "index.php");

if ($ta == "m")
    include_once("pied.php");
?>
</body>
</html>